JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ARAEditorView::Listener Class Reference
juce_audio_processors » utilities

A base class for listeners that want to know about changes to an ARAEditorView object. More...

`#include <juce_ARAPlugInInstanceRoles.h>`

## Public Member Functions
virtual | ~Listener ()=default
| Destructor.
virtual void | onNewSelection (const ARAViewSelection &viewSelection)
| Called when the editor view's selection changes.
virtual void | onHideRegionSequences (const std::vector< ARARegionSequence * > &regionSequences)
| Called when region sequences are flagged as hidden in the host UI.

## Detailed Description

A base class for listeners that want to know about changes to an ARAEditorView object.

Use ARAEditorView::addListener() to register your listener with an ARAEditorView.

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual ARAEditorView::Listener::~Listener | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ onNewSelection()

virtual void ARAEditorView::Listener::onNewSelection | ( | const ARAViewSelection & | viewSelection | ) |
| virtual

Called when the editor view's selection changes.

Parameters

  viewSelection | The current selection state

## ◆ onHideRegionSequences()

virtual void ARAEditorView::Listener::onHideRegionSequences | ( | const std::vector< ARARegionSequence * > & | regionSequences | ) |
| virtual

Called when region sequences are flagged as hidden in the host UI.

Parameters

  regionSequences | A vector containing all hidden region sequences.

The documentation for this class was generated from the following file:

- juce_ARAPlugInInstanceRoles.h